import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui';

import './assets/css/reset.css';
import './assets/css/base.css'
import 'element-ui/lib/theme-chalk/index.css';

Vue.config.productionTip = false
Vue.use(ElementUI);


 router.afterEach((to,from,next) => {
	 //页面跳转时，页面位置重置为顶部
      window.scrollTo(0,0);
	  //修改页面title
	  window.document.title = to.meta.title == undefined?'荆州红十字会-官网':to.meta.title
 })

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
